petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSTrajectoryRestoreUpdatedHistoryVecs

Restores updated state and time-derivative history vectors obtained with TSTrajectoryGetUpdatedHistoryVecs().

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryRestoreUpdatedHistoryVecs(TSTrajectory tj, Vec *U, Vec *Udot)

Collective on TSTrajectory

### Input Parameter

| tj | - the TS trajectory context
| U | - state vector at given time (can be interpolated)
| Udot | - time-derivative vector at given time (can be interpolated)

### See Also

TSTrajectoryGetUpdatedHistoryVecs()

### Level

developer

### Location

src/ts/trajectory/interface/traj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages